List third party machine translate settings
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/thirdPartyEngines \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/thirdPartyEngines"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/thirdPartyEngines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"args": {},
"baseName": "<string>",
"charCount": 123,
"default_": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"payForMtActive": true,
"payForMtPossible": true,
"sharingSettings": 123,
"type": "<string>",
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Machine Translation Settings
List third party machine translate settings
Accessible to project managers without the ‘Modify Server Setup’ right.
GET
/
api2
/
v1
/
machineTranslateSettings
/
thirdPartyEngines
List third party machine translate settings
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by name
When true, includes deprecated engines
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 100, default 50
Required range:
1 <= x <= 100Sorting field
Available options:
NAME Sorting order
Available options:
asc, desc Was this page helpful?